package Praktikum3;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;
import static org.junit.jupiter.api.Assertions.assertEquals;

class TriangleCheckerTest {

    @Test
    void checkTriangle() {
        assertEquals(TriangleChecker.TriangleType.NORMAL, TriangleChecker.checkTriangle(3, 4, 5 ));
        assertEquals(TriangleChecker.TriangleType.EQUILATERAL, TriangleChecker.checkTriangle(3, 3, 3 ));
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(5,-1,13));
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(0,3,13));
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(5,9,-13));
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(20,3,2));
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(10,20,10));
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(1,1,13));
        assertEquals(TriangleChecker.TriangleType.ISOSCELES, TriangleChecker.checkTriangle(5,5,3));
    }
}